#!/bin/sh
#
# $FreeBSD: ports/www/resin3/files/resin.sh.in,v 1.4 2005/02/24 22:50:29 hq Exp $
#

# PROVIDE: resin3

#
# Add the following line to /etc/rc.conf to enable resin3:
#
# resin3_enable="YES"
#

. /etc/rc.subr

name=resin3
rcvar=`set_rcvar`

command=/usr/local/sbin/resin3ctl
command_args="$1"
pidfile=/usr/local/resin3/resin3.pid
procname=/usr/local/jdk1.4.2/bin/java

# set defaults

resin3_enable=${resin3_enable:-"NO"}
resin3_user=${resin3_user:-"www"}
resin3_group=${resin3_group:-"www"}

load_rc_config ${name}
run_rc_command "$1"
